# Standard environment variables
{% if traefik_aws_access_key_id is defined and traefik_aws_secret_access_key is defined %}
AWS_ACCESS_KEY_ID={{ traefik_aws_access_key_id }}
AWS_SECRET_ACCESS_KEY={{ traefik_aws_secret_access_key }}
{% endif %}
ENVIRONMENT={{ env | default('development') }}
COMPOSE_PROJECT_NAME={{ compose_project.name }}
{% if service.name is defined %}
SERVICE={{ service.name }}
{% else %}
SERVICE={{ service | default(compose_project.name) }}
{% endif %}
{% if compose_project.env is defined and compose_project.env | length %}

# Compose project specific variables
{%   for key, value in compose_project.env.items() | list %}
{{ key }}={{ value }}
{%   endfor %}
{% endif %}
